[mlpack-svn] r13796 - in mlpack/conf/packages/jenkins/trunk: debian upstream-debian

fastlab-svn at coffeetalk-1.cc.gatech.edu fastlab-svn at coffeetalk-1.cc.gatech.edu
Wed Oct 31 11:20:37 EDT 2012


Author: speet3
Date: 2012-10-31 11:20:37 -0400 (Wed, 31 Oct 2012)
New Revision: 13796

Added:
   mlpack/conf/packages/jenkins/trunk/debian/jenkins.init
Removed:
   mlpack/conf/packages/jenkins/trunk/debian/jenkins.init
Modified:
   mlpack/conf/packages/jenkins/trunk/upstream-debian/changelog
   mlpack/conf/packages/jenkins/trunk/upstream-debian/jenkins.init
Log:
update to github upstream init

Deleted: mlpack/conf/packages/jenkins/trunk/debian/jenkins.init
===================================================================
--- mlpack/conf/packages/jenkins/trunk/debian/jenkins.init	2012-10-31 03:13:18 UTC (rev 13795)
+++ mlpack/conf/packages/jenkins/trunk/debian/jenkins.init	2012-10-31 15:20:37 UTC (rev 13796)
@@ -1,243 +0,0 @@
-#!/bin/bash
-# /etc/init.d/jenkins
-# debian-compatible jenkins startup script.
-# Amelia A Lewis <alewis at ibco.com>
-#
-### BEGIN INIT INFO
-# Provides:          jenkins
-# Required-Start:    $remote_fs $syslog $network
-# Required-Stop:     $remote_fs $syslog $network
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: Start jenkins at boot time
-# Description:       Controls the jenkins continuous integration engine.
-### END INIT INFO
-
-PATH=/bin:/usr/bin:/sbin:/usr/sbin
-
-DESC="Jenkins Continuous Integration Server"
-NAME=jenkins
-SCRIPTNAME=/etc/init.d/$NAME
-
-[ -r /etc/default/$NAME ] && . /etc/default/$NAME
-
-#DAEMON=$JENKINS_SH
-DAEMON=/usr/bin/daemon
-DAEMON_ARGS="--name=$NAME --inherit --env=JENKINS_HOME=$JENKINS_HOME --output=$JENKINS_LOG --pidfile=$PIDFILE" 
-
-SU=/bin/su
-
-# Exit if the package is not installed
-[ -x "$DAEMON" ] || exit 0
-
-# Exit if not supposed to run standalone
-[ "$RUN_STANDALONE" = "false" ] && exit 0
-
-# load environments
-if [ -r /etc/default/locale ]; then
-  . /etc/default/locale
-  export LANG LANGUAGE
-elif [ -r /etc/environment ]; then
-  . /etc/environment
-  export LANG LANGUAGE
-fi
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-. /lib/lsb/init-functions
-
-# Make sure we run as root, since setting the max open files through
-# ulimit requires root access
-if [ `id -u` -ne 0 ]; then
-    echo "The $NAME init script can only be run as root"
-    exit 1
-fi
-
-
-check_tcp_port() {
-    local service=$1
-    local assigned=$2
-    local default=$3
-
-    if [ -n "$assigned" ]; then 
-        port=$assigned
-    else
-        port=$default
-    fi
-    
-    count=`netstat --listen --numeric-ports | grep \:$port[[:space:]] | grep -c . `
-    
-    if [ $count -ne 0 ]; then
-        echo "The selected $service port ($port) seems to be in use by another program "
-        echo "Please select another port to use for $NAME"
-        return 1
-    fi
-}
-
-#
-# Function that starts the daemon/service
-#
-do_start()
-{
-    # the default location is /var/run/jenkins/jenkins.pid but the parent directory needs to be created
-    mkdir `dirname $PIDFILE` > /dev/null 2>&1 || true
-    chown $JENKINS_USER `dirname $PIDFILE`
-    # Return
-    #   0 if daemon has been started
-    #   1 if daemon was already running
-    #   2 if daemon could not be started
-    $DAEMON $DAEMON_ARGS --running && return 1
-
-    # Verify that the jenkins port is not already in use, winstone does not exit
-    # even for BindException
-    check_tcp_port "http" "$HTTP_PORT" "8080" || return 1
-    
-    # If the var MAXOPENFILES is enabled in /etc/default/jenkins then set the max open files to the 
-    # proper value
-    if [ -n "$MAXOPENFILES" ]; then
-        [ "$VERBOSE" != no ] && echo Setting up max open files limit to $MAXOPENFILES
-        ulimit -n $MAXOPENFILES
-    fi
-    
-    # --user in daemon doesn't prepare environment variables like HOME, USER, LOGNAME or USERNAME,
-    # so we let su do so for us now
-    $SU -l $JENKINS_USER --shell=/bin/bash -c "$DAEMON $DAEMON_ARGS -- $JAVA $JAVA_ARGS -jar $JENKINS_WAR $JENKINS_ARGS" || return 2
-}
-
-
-#
-# Verify that all jenkins processes have been shutdown
-# and if not, then do killall for them
-# 
-get_running() 
-{
-    return `ps -U $JENKINS_USER --no-headers -f | egrep -e '(java|daemon)' | grep -c . `
-}
-
-force_stop() 
-{
-    get_running
-    if [ $? -ne 0 ]; then 
-	killall -u $JENKINS_USER java daemon || return 3
-    fi
-}
-
-# Get the status of the daemon process
-get_daemon_status()
-{
-    $DAEMON $DAEMON_ARGS --running || return 1
-}
-
-
-#
-# Function that stops the daemon/service
-#
-do_stop()
-{
-    # Return
-    #   0 if daemon has been stopped
-    #   1 if daemon was already stopped
-    #   2 if daemon could not be stopped
-    #   other if a failure occurred
-    get_daemon_status 
-    case "$?" in
-	0) 
-	    $DAEMON $DAEMON_ARGS --stop || return 2
-        # wait for the process to really terminate
-        for n in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20; do
-            sleep 1
-            $DAEMON $DAEMON_ARGS --running || break
-        done
-        if get_daemon_status; then
-	        force_stop || return 3
-        fi
-	    ;;
-	*)
-	    force_stop || return 3
-	    ;;
-    esac
-
-    # Many daemons don't delete their pidfiles when they exit.
-    rm -f $PIDFILE
-    return 0
-}
-
-case "$1" in
-  start)
-    log_daemon_msg "Starting $DESC" "$NAME"
-    do_start
-    case "$?" in
-        0|1) log_end_msg 0 ;;
-        2) log_end_msg 1 ;;
-    esac
-    ;;
-  stop)
-    log_daemon_msg "Stopping $DESC" "$NAME"
-    do_stop
-    case "$?" in
-        0|1) log_end_msg 0 ;;
-        2) log_end_msg 1 ;;
-    esac
-    ;;
-  restart|force-reload)
-    #
-    # If the "reload" option is implemented then remove the
-    # 'force-reload' alias
-    #
-    log_daemon_msg "Restarting $DESC" "$NAME"
-    do_stop
-    case "$?" in
-      0|1)
-        do_start
-        case "$?" in
-          0) log_end_msg 0 ;;
-          1) log_end_msg 1 ;; # Old process is still running
-          *) log_end_msg 1 ;; # Failed to start
-        esac
-        ;;
-      *)
-  	# Failed to stop
-	log_end_msg 1
-	;;
-    esac
-    ;;
-  status)
-	get_daemon_status
-	case "$?" in 
-	 0) 
-		echo "$DESC is running with the pid `cat $PIDFILE`"
-		rc=0
-		;;
-	*) 
-		get_running
-		procs=$?
-		if [ $procs -eq 0 ]; then 
-			echo -n "$DESC is not running"
-			if [ -f $PIDFILE ]; then 
-				echo ", but the pidfile ($PIDFILE) still exists"
-				rc=1
-			else 
-				echo
-				rc=3
-			fi
-		
-		else 
-			echo "$procs instances of jenkins are running at the moment"
-			echo "but the pidfile $PIDFILE is missing"
-			rc=0
-		fi
-		
-		exit $rc
-		;;
-	esac
-	;;
-  *)
-    echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
-    exit 3
-    ;;
-esac
-
-exit 0

Copied: mlpack/conf/packages/jenkins/trunk/debian/jenkins.init (from rev 13795, mlpack/conf/packages/jenkins/trunk/upstream-debian/jenkins.init)
===================================================================
--- mlpack/conf/packages/jenkins/trunk/debian/jenkins.init	                        (rev 0)
+++ mlpack/conf/packages/jenkins/trunk/debian/jenkins.init	2012-10-31 15:20:37 UTC (rev 13796)
@@ -0,0 +1,243 @@
+#!/bin/bash
+# /etc/init.d/jenkins
+# debian-compatible jenkins startup script.
+# Amelia A Lewis <alewis at ibco.com>
+#
+### BEGIN INIT INFO
+# Provides:          jenkins
+# Required-Start:    $remote_fs $syslog $network
+# Required-Stop:     $remote_fs $syslog $network
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Start jenkins at boot time
+# Description:       Controls the jenkins continuous integration engine.
+### END INIT INFO
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+
+DESC="Jenkins Continuous Integration Server"
+NAME=jenkins
+SCRIPTNAME=/etc/init.d/$NAME
+
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+#DAEMON=$JENKINS_SH
+DAEMON=/usr/bin/daemon
+DAEMON_ARGS="--name=$NAME --inherit --env=JENKINS_HOME=$JENKINS_HOME --output=$JENKINS_LOG --pidfile=$PIDFILE" 
+
+SU=/bin/su
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || (echo "daemon package not installed" && exit 0)
+
+# Exit if not supposed to run standalone
+[ "$RUN_STANDALONE" = "false" ] && echo "Not configured to run standalone" && exit 0
+
+# load environments
+if [ -r /etc/default/locale ]; then
+  . /etc/default/locale
+  export LANG LANGUAGE
+elif [ -r /etc/environment ]; then
+  . /etc/environment
+  export LANG LANGUAGE
+fi
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+# Make sure we run as root, since setting the max open files through
+# ulimit requires root access
+if [ `id -u` -ne 0 ]; then
+    echo "The $NAME init script can only be run as root"
+    exit 1
+fi
+
+
+check_tcp_port() {
+    local service=$1
+    local assigned=$2
+    local default=$3
+
+    if [ -n "$assigned" ]; then 
+        port=$assigned
+    else
+        port=$default
+    fi
+    
+    count=`netstat --listen --numeric-ports | grep \:$port[[:space:]] | grep -c . `
+    
+    if [ $count -ne 0 ]; then
+        echo "The selected $service port ($port) seems to be in use by another program "
+        echo "Please select another port to use for $NAME"
+        return 1
+    fi
+}
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+    # the default location is /var/run/jenkins/jenkins.pid but the parent directory needs to be created
+    mkdir `dirname $PIDFILE` > /dev/null 2>&1 || true
+    chown $JENKINS_USER `dirname $PIDFILE`
+    # Return
+    #   0 if daemon has been started
+    #   1 if daemon was already running
+    #   2 if daemon could not be started
+    $DAEMON $DAEMON_ARGS --running && return 1
+
+    # Verify that the jenkins port is not already in use, winstone does not exit
+    # even for BindException
+    check_tcp_port "http" "$HTTP_PORT" "8080" || return 1
+    
+    # If the var MAXOPENFILES is enabled in /etc/default/jenkins then set the max open files to the 
+    # proper value
+    if [ -n "$MAXOPENFILES" ]; then
+        [ "$VERBOSE" != no ] && echo Setting up max open files limit to $MAXOPENFILES
+        ulimit -n $MAXOPENFILES
+    fi
+    
+    # --user in daemon doesn't prepare environment variables like HOME, USER, LOGNAME or USERNAME,
+    # so we let su do so for us now
+    $SU -l $JENKINS_USER --shell=/bin/bash -c "$DAEMON $DAEMON_ARGS -- $JAVA $JAVA_ARGS -jar $JENKINS_WAR $JENKINS_ARGS" || return 2
+}
+
+
+#
+# Verify that all jenkins processes have been shutdown
+# and if not, then do killall for them
+# 
+get_running() 
+{
+    return `ps -U $JENKINS_USER --no-headers -f | egrep -e '(java|daemon)' | grep -c . `
+}
+
+force_stop() 
+{
+    get_running
+    if [ $? -ne 0 ]; then 
+	killall -u $JENKINS_USER java daemon || return 3
+    fi
+}
+
+# Get the status of the daemon process
+get_daemon_status()
+{
+    $DAEMON $DAEMON_ARGS --running || return 1
+}
+
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+    # Return
+    #   0 if daemon has been stopped
+    #   1 if daemon was already stopped
+    #   2 if daemon could not be stopped
+    #   other if a failure occurred
+    get_daemon_status 
+    case "$?" in
+	0) 
+	    $DAEMON $DAEMON_ARGS --stop || return 2
+        # wait for the process to really terminate
+        for n in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20; do
+            sleep 1
+            $DAEMON $DAEMON_ARGS --running || break
+        done
+        if get_daemon_status; then
+	        force_stop || return 3
+        fi
+	    ;;
+	*)
+	    force_stop || return 3
+	    ;;
+    esac
+
+    # Many daemons don't delete their pidfiles when they exit.
+    rm -f $PIDFILE
+    return 0
+}
+
+case "$1" in
+  start)
+    log_daemon_msg "Starting $DESC" "$NAME"
+    do_start
+    case "$?" in
+        0|1) log_end_msg 0 ;;
+        2) log_end_msg 1 ;;
+    esac
+    ;;
+  stop)
+    log_daemon_msg "Stopping $DESC" "$NAME"
+    do_stop
+    case "$?" in
+        0|1) log_end_msg 0 ;;
+        2) log_end_msg 1 ;;
+    esac
+    ;;
+  restart|force-reload)
+    #
+    # If the "reload" option is implemented then remove the
+    # 'force-reload' alias
+    #
+    log_daemon_msg "Restarting $DESC" "$NAME"
+    do_stop
+    case "$?" in
+      0|1)
+        do_start
+        case "$?" in
+          0) log_end_msg 0 ;;
+          1) log_end_msg 1 ;; # Old process is still running
+          *) log_end_msg 1 ;; # Failed to start
+        esac
+        ;;
+      *)
+  	# Failed to stop
+	log_end_msg 1
+	;;
+    esac
+    ;;
+  status)
+	get_daemon_status
+	case "$?" in 
+	 0) 
+		echo "$DESC is running with the pid `cat $PIDFILE`"
+		rc=0
+		;;
+	*) 
+		get_running
+		procs=$?
+		if [ $procs -eq 0 ]; then 
+			echo -n "$DESC is not running"
+			if [ -f $PIDFILE ]; then 
+				echo ", but the pidfile ($PIDFILE) still exists"
+				rc=1
+			else 
+				echo
+				rc=3
+			fi
+		
+		else 
+			echo "$procs instances of jenkins are running at the moment"
+			echo "but the pidfile $PIDFILE is missing"
+			rc=0
+		fi
+		
+		exit $rc
+		;;
+	esac
+	;;
+  *)
+    echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+    exit 3
+    ;;
+esac
+
+exit 0

Modified: mlpack/conf/packages/jenkins/trunk/upstream-debian/changelog
===================================================================
--- mlpack/conf/packages/jenkins/trunk/upstream-debian/changelog	2012-10-31 03:13:18 UTC (rev 13795)
+++ mlpack/conf/packages/jenkins/trunk/upstream-debian/changelog	2012-10-31 15:20:37 UTC (rev 13796)
@@ -1,3 +1,123 @@
+jenkins (1.488) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Sun, 28 Oct 2012 19:39:03 -0700
+
+jenkins (1.487) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Tue, 23 Oct 2012 17:10:11 -0700
+
+jenkins (1.486) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Sun, 14 Oct 2012 18:09:58 -0700
+
+jenkins (1.485) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Mon, 08 Oct 2012 00:15:30 -0700
+
+jenkins (1.484) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Sun, 30 Sep 2012 14:50:09 -0700
+
+jenkins (1.483) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Sun, 23 Sep 2012 20:28:41 -0700
+
+jenkins (1.482) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Sun, 16 Sep 2012 18:31:07 -0700
+
+jenkins (1.481) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Sun, 09 Sep 2012 22:46:52 -0700
+
+jenkins (1.480) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Mon, 03 Sep 2012 08:35:44 -0700
+
+jenkins (1.479) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Wed, 29 Aug 2012 09:45:34 -0700
+
+jenkins (1.478) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Mon, 20 Aug 2012 07:27:55 -0700
+
+jenkins (1.477) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Wed, 08 Aug 2012 21:42:13 -0700
+
+jenkins (1.475) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Sun, 22 Jul 2012 16:56:11 -0700
+
+jenkins (1.474) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Mon, 09 Jul 2012 17:37:53 -0700
+
+jenkins (1.473) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Sun, 01 Jul 2012 19:32:51 -0700
+
+jenkins (1.472) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Sun, 24 Jun 2012 21:27:46 -0700
+
+jenkins (1.471) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Mon, 18 Jun 2012 22:15:00 -0700
+
+jenkins (1.470) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Wed, 13 Jun 2012 10:20:28 -0700
+
+jenkins (1.469) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Mon, 11 Jun 2012 23:01:04 -0700
+
+jenkins (1.468) unstable; urgency=low
+
+  * See http://jenkins-ci.org/changelog for more details.
+
+ -- Kohsuke Kawaguchi <kk at kohsuke.org>  Mon, 11 Jun 2012 09:43:38 -0700
+
 jenkins (1.467) unstable; urgency=low
 
   * See http://jenkins-ci.org/changelog for more details.

Modified: mlpack/conf/packages/jenkins/trunk/upstream-debian/jenkins.init
===================================================================
--- mlpack/conf/packages/jenkins/trunk/upstream-debian/jenkins.init	2012-10-31 03:13:18 UTC (rev 13795)
+++ mlpack/conf/packages/jenkins/trunk/upstream-debian/jenkins.init	2012-10-31 15:20:37 UTC (rev 13796)
@@ -28,10 +28,10 @@
 SU=/bin/su
 
 # Exit if the package is not installed
-[ -x "$DAEMON" ] || exit 0
+[ -x "$DAEMON" ] || (echo "daemon package not installed" && exit 0)
 
 # Exit if not supposed to run standalone
-[ "$RUN_STANDALONE" = "false" ] && exit 0
+[ "$RUN_STANDALONE" = "false" ] && echo "Not configured to run standalone" && exit 0
 
 # load environments
 if [ -r /etc/default/locale ]; then




More information about the mlpack-svn mailing list